#ifndef DIALOGAUTHORIZATION_H
#define DIALOGAUTHORIZATION_H

#include <QDialog>
#include "instructorsAndTrainees_global.h"
//#include "ui_dialogauthorization.h"

namespace Ui {
class DialogAuthorization;
}

class INSTRUCTORSANDTRAINEES_EXPORT DialogAuthorization : public QDialog
{
    Q_OBJECT

public:
    explicit DialogAuthorization(QWidget *parent = nullptr);
    ~DialogAuthorization();

public:
    QString getLogin();
    void setLogin(QString login);

    QString getPassword();
    void setPassword(QString password);

private slots:
    void on_btnLogIn_clicked();
    void on_btnViewPassword_pressed();
    void on_btnViewPassword_released();

    void on_editLogin_inputRejected();

private:
    Ui::DialogAuthorization *ui;
};

#endif // DIALOGAUTHORIZATION_H
